be.vlaanderen.mercurius.vsb_wzcmh.schemas.v1

## Class DocumentType

- java.lang.Object
- - be.vlaanderen.mercurius.vsb_wzcmh.schemas.v1.DocumentType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:17:38+01:00",
                 comments="JAXB RI v2.2.11")
      public class DocumentType
      extends Object
      implements Serializable

  Document

  Java class for DocumentType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="DocumentType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="DocumentDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
               <element name="DocumentCategory" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}DocumentCategoryType"/>
               <element name="DocumentExtension" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="DocumentFilename" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="Document" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getDocument()` Gets the value of the document property.
    `DocumentCategoryType` | `getDocumentCategory()` Gets the value of the documentCategory property.
    `org.joda.time.DateTime` | `getDocumentDate()` Gets the value of the documentDate property.
    `String` | `getDocumentExtension()` Gets the value of the documentExtension property.
    `String` | `getDocumentFilename()` Gets the value of the documentFilename property.
    `void` | `setDocument(byte[] value)` Sets the value of the document property.
    `void` | `setDocumentCategory(DocumentCategoryType value)` Sets the value of the documentCategory property.
    `void` | `setDocumentDate(org.joda.time.DateTime value)` Sets the value of the documentDate property.
    `void` | `setDocumentExtension(String value)` Sets the value of the documentExtension property.
    `void` | `setDocumentFilename(String value)` Sets the value of the documentFilename property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DocumentType

          public DocumentType()

  - ### Method Detail

    - #### getDocumentDate

          public org.joda.time.DateTime getDocumentDate()

      Gets the value of the documentDate property.
      Returns:
        possible object is `String`

    - #### setDocumentDate

          public void setDocumentDate(org.joda.time.DateTime value)

      Sets the value of the documentDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDocumentCategory

          public DocumentCategoryType getDocumentCategory()

      Gets the value of the documentCategory property.
      Returns:
        possible object is `DocumentCategoryType`

    - #### setDocumentCategory

          public void setDocumentCategory(DocumentCategoryType value)

      Sets the value of the documentCategory property.
      Parameters:
        `value` - allowed object is `DocumentCategoryType`

    - #### getDocumentExtension

          public String getDocumentExtension()

      Gets the value of the documentExtension property.
      Returns:
        possible object is `String`

    - #### setDocumentExtension

          public void setDocumentExtension(String value)

      Sets the value of the documentExtension property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDocumentFilename

          public String getDocumentFilename()

      Gets the value of the documentFilename property.
      Returns:
        possible object is `String`

    - #### setDocumentFilename

          public void setDocumentFilename(String value)

      Sets the value of the documentFilename property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDocument

          public byte[] getDocument()

      Gets the value of the document property.
      Returns:
        possible object is byte[]

    - #### setDocument

          public void setDocument(byte[] value)

      Sets the value of the document property.
      Parameters:
        `value` - allowed object is byte[]

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.